Bug Hunting Session
Bug 60607 - LO 3.6 and 4.0 render cell borders thicker than in 3.4 [Summary in comment # 20]
Summary: LO 3.6 and 4.0 render cell borders thicker than in 3.4 [Summary in comment # 20]
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: SummaryUpdate
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-02-10 19:53 UTC by Mikeyy - L10n HR
Modified: 2014-03-12 00:12 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (25.87 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-10 19:53 UTC, Mikeyy - L10n HR
Details
PDF's 3.5 Border Thickness (14.22 KB, application/pdf)
2013-02-11 05:20 UTC, Joel Madero
Details
LibreOffice 4 Border Thickness (14.22 KB, application/pdf)
2013-02-11 05:20 UTC, Joel Madero
Details
Original File for PDF's (8.19 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-11 05:21 UTC, Joel Madero
Details
LO 3.4.5 (221.75 KB, image/png)
2013-02-11 06:54 UTC, Mikeyy - L10n HR
Details
LO 3.6.5 (226.31 KB, image/png)
2013-02-11 07:01 UTC, Mikeyy - L10n HR
Details
LO 3.6.5 ver2 (226.31 KB, image/png)
2013-02-11 07:08 UTC, Mikeyy - L10n HR
Details
the ODS border test screenshot in LO 4.1.Beta2 (139.77 KB, image/png)
2013-06-19 09:31 UTC, Kevin Suo
Details
LO comparison (17.37 KB, image/png)
2013-10-29 06:14 UTC, Mikeyy - L10n HR
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikeyy - L10n HR 2013-02-10 19:53:45 UTC
Created attachment 74565 [details]
Test file

Test file attached.
File was last edited on 08. May 2012, not sure which version of LO was actual then.
When I opened it with latest 3.6.5 few days ago, most of cell borders are thicker then they should be. This is happening with a lot of .xls and .xlsx files, but first time I noticed it with ODS file. PLEASE, increase border compatibility with XLS/XLSX sicne this is problem from day one with LO. And keep compatibility with your old files!

Regression.
Comment 1 Mikeyy - L10n HR 2013-02-10 20:03:25 UTC
Only borders around these cells look normal with LO 4.0
K1 - all borders
K2 - top, left, right borders
B1 - all borders
A152:K152 - bottom, left, right borders
Comment 2 Joel Madero 2013-02-11 05:20:12 UTC
Created attachment 74575 [details]
PDF's 3.5 Border Thickness
Comment 3 Joel Madero 2013-02-11 05:20:28 UTC
Removing regression as we have no version that it worked on (and therefor cannot confirm)

Also marking as WORKSFORME as we have no way of knowing what it "should be" from given information. I believe 3.5.2 was the release at that time, so I did a test and have attached the PDF's, to me they look identical.

Things that will help:
PDF showing xls border thickness for on Microsoft Office and on LibreOffice (something that we can actually see the thickness difference)

PDF showing differences between borders for ODS for different versions showing the different thicknesses
Comment 4 Joel Madero 2013-02-11 05:20:51 UTC
Created attachment 74576 [details]
LibreOffice 4 Border Thickness
Comment 5 Joel Madero 2013-02-11 05:21:10 UTC
Created attachment 74577 [details]
Original File for PDF's
Comment 6 Mikeyy - L10n HR 2013-02-11 06:54:51 UTC
Created attachment 74583 [details]
LO 3.4.5

Picture of TEST.ODS opened in LO 3.4.5
Comment 7 Mikeyy - L10n HR 2013-02-11 07:01:53 UTC
Created attachment 74584 [details]
LO 3.6.5

Picture of TEST.ODS opened with LO 3.6.5
Comment 8 Mikeyy - L10n HR 2013-02-11 07:04:52 UTC
Not sure what you wanted to show with those PDF's.

Anyway, you can see clear difference between LO 3.4.5 and 3.6.5 opening same file.
Not sure which is bugged, LO 3.4.5 saving of file in ODS or LO 3.6.5 rendering of ODS.

Reopened and regression keyword added.
Comment 9 Mikeyy - L10n HR 2013-02-11 07:07:02 UTC
Test platform Windows 7 64-bit, LibreOffice 3.4.5 and LibreOffice 3.6.5.
Couldn't find LO 3.4.6 installation to test with it.
Comment 10 Mikeyy - L10n HR 2013-02-11 07:08:29 UTC
Created attachment 74585 [details]
LO 3.6.5 ver2

Last file was uploaded as plain text so it didn't work.
Comment 11 Eike Rathke 2013-02-28 23:04:07 UTC
So changing the title to something meaningful might be appropriate ... done.
Comment 12 Joel Madero 2013-04-25 18:32:17 UTC
Okay, I see the difference and:

I can confirm that the borders look thicker then your 3.4.5 on Bodhi Linux using
version 3.6.0alpha0+ (Build ID: 099198)

Changing version to reflect earliest version that we can confirm issue.

@Mikeyy - we're trying to deteremine if a minor release (ie a .1, .2, etc...) or a major release (.0) caused this, as far as I can tell is happened at least @ or before 3.6.0alpha.

Also, changing to "all" for platform as I can confirm that my borders are thick like your ver2 file shows.

Lastly, not a Major bug (no loss of data, no crash, etc...), this is a normal bug:

Normal: Can prevent high quality/professional work
High: regression bumped it up from medium

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 13 Kevin Suo 2013-06-07 02:13:15 UTC

*** This bug has been marked as a duplicate of bug 56960 ***
Comment 14 Kevin Suo 2013-06-19 09:28:51 UTC
(In reply to comment #13)
> 
> *** This bug has been marked as a duplicate of bug 56960 ***

https://bugs.freedesktop.org/show_bug.cgi?id=56960

--- Comment #24 from Mikeyy <mikeyy.vip@gmail.com> ---
> @suokunlong
> Can you please test bug 60607 which was marked as duplicate of this bug with
> 4.1 beta? https://bugs.freedesktop.org/show_bug.cgi?id=60607
> I cannot install experimental releases on work comp.

I test your attachment with LO4.1 Beta2, but found the same thick border,
So I believe it is really a mistake to mark this bug report as a duplicate of bug 56960.
So, I am REOPENing this.
Comment 15 Kevin Suo 2013-06-19 09:31:41 UTC
Created attachment 81057 [details]
the ODS border test screenshot in LO 4.1.Beta2

"74565: Test file" in Libreoffice 4.1.beta2, whick shows the same border thickness.
Comment 16 Joel Madero 2013-10-29 01:52:16 UTC
Marking this as WFM. Tested on 4.1.2 release on Ubuntu 13.10 and the border thickness looks just like 3.4.5 image you provided. 


If you still see this problem with 4.1.2 release, please mark as NEW again and we'll go from there
Comment 17 Mikeyy - L10n HR 2013-10-29 06:14:29 UTC
Created attachment 88266 [details]
LO comparison

Can't mark it NEW, only UNCONFIRMED or REOPENED.
I'm using 4.1.3.2 here and it's little better then before, but not fixed.
Comment 18 retired 2013-11-16 18:02:02 UTC
Opening on OS X 10.9 with LO 4.2 latest master this looks ok. Not sure this is a bug or just a change in the way borders are displayed now.

Any thoughts from other QA people / devs?
Comment 19 Joel Madero 2013-11-16 21:30:20 UTC
I want some input from Markus to see what he thinks - I lean towards agreeing that we just handle borders differently so it's not a bug just a change. But I won't close without Markus confirming.
Comment 20 Steven Pilkenton 2014-02-11 18:04:02 UTC
Summary

comments #2,4-6,10,15,17, contain attachments showing border thickness issues

comment #3 details things that will help identify the problem: “PDF showing xls border thickness… PDF showing differences between borders for OS…”

comments #12 and #19 contain updates:

12: "...can confirm that the borders look thicker...not a Major bug... this is a normal bug..."

19: "...I lean toward...it's not a bug just a change. But I won't close without Markus confirming."
Comment 21 Mikeyy - L10n HR 2014-02-12 08:08:17 UTC
If you open test.ods with LO 4.2 you will see that borders are again different, little more thicker then in 4.1.

From my 2 years business experience with ods and xls using LO, xls is more stable format for LO. If I make something only in ods, it usually don't survives new LO versions.
Comment 22 bfoman (inactive) 2014-03-08 22:23:42 UTC
Borders' code have been changed recently in master branch, so please retest it using daily build available at http://dev-builds.libreoffice.org/daily/master/.
Blog posts about changes:
http://kohei.us/2014/01/17/the-art-of-drawing-border-lines/
http://kohei.us/2014/01/21/update-on-border-lines/
Comment 23 retired 2014-03-10 11:23:46 UTC
NEEDINFO as of Comment 22. Also refer to the linked blogposts explaining the current state and Kohei's improvements / fixes.
Comment 24 Mikeyy - L10n HR 2014-03-11 21:29:03 UTC
@ comment 22 and comment 23
This seams like a very fluid part of LibreOffice and I don't like it.

In retrospective to versions I tested with:
3.4 - OK
3.6 - VERY BAD
4.1 - LITTLE BETTER
4.2 - LITTLE BETTER
4.2.2 - OK, NORMAL AGAIN
4.3 ALPHA - OK, NORMAL

It's bad when you can't be compatible in your own format between versions of same software.

Thanks again to Kohei for fixes and QA team for finding problems and pushing them into developer attention!
Comment 25 Joel Madero 2014-03-12 00:12:25 UTC
Since we don't know what fixed it - WFM is correct, thanks!